Skip to main content

ConcessionHost

ConcessionHost provides access to the ConcessionHost resource. This is where all concession hosts are held.

Example of a returned host object with an included stores http://URL/api/concessionhost?code=arnotts

{
"response": {
"Page": 1,
"PageCount": 1,
"RecordsSent": 1,
"RecordsFound": 1,
"Host": [
{
"id": 282,
"Code": "ARNOTTS",
"Name": "Arnotts",
"Address1": "",
"Address2": "",
"Town": "",
"County": "",
"Postcode": "",
"Country_Code": "",
"Country": "",
"Currency": "EUR",
"Telephone": "",
"Fax": "",
"Email": "",
"Status": 1,
"Discount": 0,
"Tradename": "Trade Name",
"Association": "Concession",
"Company_Reg_No": "",
"TAX_Number": "",
"TAX_Type": 1,
"Stores": [
{
"id": 295,
"Code": "ARDubli",
"Customer_Code": "ARNOTTS",
"Name": "Dublin Arnotts - Henry Street",
"Address1": "",
"Address2": "",
"Town": "",
"County": "",
"Postcode": "",
"Country": "IE",
"Address_Text": "Store Concession c/o Arnotts\rHenry Street\rDublin\rDublin",
"Currency": "EUR",
"Outlet_Type": "",
"Sales_rep": "",
"Date_Created": "2016-11-11T00:00:00.000Z",
"Date_Updated": "2017-11-07T00:00:00.000Z",
"Last_Transfer": "2017-11-08T00:00:00.000Z"
}
]
}
]
}
}

ConcessionHost Properties​

PropertyExampleDescription
id282Unique id for the host
Code"SEDM"Host code
Name"SEDMAN SHOES LTD"Host name
Address1"18 Main St"Address line 1
Address2"Hutton"Address line 2
Town"Cranswick"Town
County""County
Postcode"YO25 9QR"Postcode
Country_Code"GB"Country code
Telephone""Telephone number
Fax""Fax number
Email""Customer primary email address
Status1Account status
Discount0General discount percentage
Tradename"CRK LONDON LTD"Tradename to use with this host
Association""Host association type. Should be Concession or Ecomm
TAX_Number""Host VAT number
TAX_Type1VAT type code
Company_Reg_No""Company registration number
Stores[]List of stores for the given host. See ConcessionStore resource for details.

ConcessionHost Methods​

GET /api/concessionhost​

Returns all hosts in the system .